package org.commonjava.tensor.neo4j.data.store.model;

import org.apache.maven.graph.effective.rel.ProjectRelationship;
import org.neo4j.graphdb.RelationshipType;

public class NeoRelationship
    implements RelationshipType
{

    private final ProjectRelationship<?> relationship;

    public NeoRelationship( final ProjectRelationship<?> relationship )
    {
        this.relationship = relationship;
    }

    public ProjectRelationship<?> getWrappedRelationship()
    {
        return relationship;
    }

    @Override
    public String name()
    {
        return relationship.getType()
                           .name();
    }

}
